#ifndef CLASSICNOTEACTIVESTATE_H
#define CLASSICNOTEACTIVESTATE_H

#include "classicnotestate.h"

class ClassicNoteActiveState : public ClassicNoteState
{
public:
    virtual Value value() const override;
    virtual Value update(const ClassicNote* note, const microsec& offset) override;
    virtual void onEntering(const ClassicNote* note) override;

private:
    inline constexpr int getPt(float n1 , float n2 , float perc) const;
};

#endif // CLASSICNOTEACTIVESTATE_H
